package cn.iocoder.yudao.module.shipment.vo.boxMergePkg;

import cn.iocoder.yudao.module.order.dal.dataobject.orderItem.OrderItemDO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("合包查询返回订单数据")
public class BoxMergePkgWebVO {

    @ApiModelProperty("订单id")
    private Long orderId;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("备案")
    private Integer productRecord;

    @ApiModelProperty("箱数")
    private Integer sumNum;

    @ApiModelProperty("体积")
    private BigDecimal sumVolume;

    @ApiModelProperty("重量")
    private BigDecimal sumWeight;

    @ApiModelProperty("数量")
    private Integer sumQuantity;

    @ApiModelProperty("理货时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date tallyTime;

    @ApiModelProperty("订单项数据")
    private List<OrderItemDO> orderItemDOS;

    @ApiModelProperty("已装箱数")
    private Integer installNum;

    @ApiModelProperty("合包箱号")
    private String pkgNum;
}
